<?php
    /*
    * PDFFP Plugin for insert a PDF icon with this link in a article for Joomla! 1.5.x
    * Version 1.0
    * Creation date: Aot 2011
    * Author: Fabrice4821 - www.gmapfp.org
    * Author email: webmaster@gmapfp.org
    * License GNU/GPL
    */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class PDFFPPluginViewPDFsList extends JView
{
	function display($tpl = null)
	{
		// Do not allow cache
		JResponse::allowCache(false);

		JHTML::_('behavior.mootools');

		$document =& JFactory::getDocument();
		$document->addScriptDeclaration("var ImageManager = window.parent.ImageManager;");

		$this->assign('baseURL', '/images/pdfs');
		$this->assignRef('pdfs', $this->get('pdfs'));
		$this->assignRef('folders', $this->get('folders'));
		$this->assignRef('state', $this->get('state'));

		parent::display($tpl);
	}


	function setPDF($index = 0)
	{
		if (isset($this->pdfs[$index])) {
			$this->_tmp_img = &$this->pdfs[$index];
		} else {
			$this->_tmp_img = new JObject;
		}
	}
}
